/* lgd0.h.  Generated automatically by configure.  */
/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File lgd0.h */
/* This file contains the very few very important declarations and
 * definitions that will be included in _every_ file that is even
 * remotely connected with Legendes. */

/* Avoid multiple inclusions. */
#ifndef _LGD0_H
#define _LGD0_H

/* Version information */
/* Ideally, the version number and package name should be defined by
 * the main makefile or project file. Until things settle down we
 * define it here. */

/* The game name. This should NEVER change. */
#define GAMENAME "Legendes II"

/* The package and version names: the archive file gets called
 * PACKAGE-VERSION.tgz */
#define PACKAGE "legendes"
#define VERSION "0.0.0"

/* Spliced version number. */
#define VERSION_MAJOR 0
#define VERSION_MINOR 0
#define VERSION_SUBMINOR 0

#endif /* not _LGD0_H */
